# Air-Tech

## Definition of Done

- [x] This infrastructure is a production quality infrastructure.
- [x] The coding exercise is to run this environment in AWS.
- [ ] We are looking for an infrastructure-as-code (IaC) solution using Pulumi.
- [x] You are free to architect the infrastructure as you see fit. The final goal is to run both services (Web and API) on AWS. We are leaving all the details to you.
- [x] Be mindful of security best practices. The API is not a public API, and it is only accessed by Web UI.
- [x] Only the web UI should be accessible through the internet (port 80)
- [ ] Tag all the environment resources for auditing purposes.

## Diagram

![Infra Diagram](infra_diagram.png)

## What's missing?

Tags are missing, the solution does not run to a viable url because of permissions issues between ECS and ECR. When these are tweaked outside of Pulumi, the service works as expected.
